{% extends 'base.html' %}
{% load static %}

{% block meta %}
    <title>Profile</title>    
    <link rel="stylesheet" href="{% static 'profilepage/css/style.css' %}">
    <link rel="stylesheet" href="{% static 'authentication/CSS/registerUser.css'%}">
    <script src="{% static 'profilepage/js/update.js' %}"></script>
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
{% endblock meta %}

{% block content %}
  <div class="container" style="margin-bottom:150px;">
    <div id="profil">
      <div class="topdown" style="margin-bottom: 30px;">
        <p style="font-size:35px;font-weight:bold; margin-top:30px;"> Profile </p>
        <div id="profil-pic" class="profile-container">
          <div class="profilePic" id="profileInProfil" style="background-color: {{user.profil_color}};">
            <div class="topdown" style="font-size: 4.5vw; color: black">
              {{ user.user|make_list|first|upper }}
            </div>
          </div>
        </div>
      </div>
      <div class="row" style="align-items: center;">
        <div class="data-container col-sm">
          <div class="flex-box">
            <p class="judulData fontall"> User Data </p>
            <button id="edit-button" type="button" class="button" style="justify-content: flex-end;" data-bs-toggle="modal" data-bs-target="#data"> Edit </button>
            <div class="modal fade" id="data" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true" style="color: black;">
              <div class="modal-dialog modal-dialog-centered">
                <div class="modal-content">
                  <div class="modal-header">
                    <h5 class="modal-title" id="exampleModalLabel"> Change Data </h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                  </div>
                  <div class="modal-body" style="color: black;">
                    <!-- Ganti data diri -->
                    <form id="user-update" method="POST">
                      {% csrf_token %}
                      <div class="mb-3">
                        <label class="form-label">Name</label>
                        <input class="form-control" type="text" id="name">
                      </div>
                      <div class="mb-3">
                        <label class="form-label">Birth Date</label>
                        <input class="form-control" type="date" id="dob">
                      </div> 
                      <div class="mb-3">
                        <label class="form-label">E-Mail</label>
                        <input class="form-control" type="text" id="email">
                      </div> 
                      <div class="mb-3">
                        <label class="form-label">Phone Number</label>
                        <input class="form-control" type="text" id="number">
                      </div> 
                      <button type="button" class="button button1" id="save-button" data-bs-dismiss="modal" aria-label="Close">Save</button>
                    </form>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="row mb-2" id='name-data'>
            <div class="col-4"> Name </div>
            <div class="col-8"> {{ user.name }} </div>
          </div>
          <div class="row mb-2" id='gender-data'>
            <div class="col-4"> Gender </div>
            <div class="col-8"> {{ user.gender }} </div>
          </div>
          <div class="row mb-2" id='dob-data'>
            <div class="col-4"> Birth Date </div>
            <div class="col-8"> {{ user.dob }} </div>
          </div>
          <div class="row mb-2" id='email-data'>
            <div class="col-4 md-2"> E-Mail </div>
            <div class="col-8 md-2"> {{ user.email }} </div>
          </div>
          <div class="row mb-2" id='number-data'>
            <div class="col-4"> Phone Number </div>
            <div class="col-8"> {{ user.phone_num }} </div>
          </div>
        </div>
        <div class="col-1"></div>
        <div class="data-container col-sm" style="">
          <div class="flex-box">
            <p class="judulData fontall"> Account Data </p>
            <a type="button" class="button" style="justify-content: flex-end; text-decoration: none;" href="{% url 'profilepage:password-change'%}"> Change Password </a>
          </div>
          <div class="row mb-2">
            <div class="col-4"> Username </div>
            <div class="col-8"> {{ user.user }} </div>
          </div>
          <div class="row mb-2">
            <div class="col-4"> User Type </div>
            <div class="col-8"> {{ user.role }} </div>
          </div>
        </div>
      </div>
    </div>
    <div id="riwayat">
      <div class="topdown">
        <p style="font-size:35px;font-weight:bold; margin-top:30px;"></p>
      </div>
    </div>
  </div>

{% endblock content %}